/*
Banner Video DMs: (1200, 420) px
*/

.work-name {
  margin: 0;
  font-size: 40px;
  font-weight: 700;
  letter-spacing: -0.5px;

  text-align: center;
}

.work-skills {
  margin: 0 auto;
  font-weight: 300;

  width: fit-content;
  text-align: center;

  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
  border: 2px solid var(--accent);
  border-radius: 12px;
  padding: 6px;
  background-color: rgb(255, 255, 255);
}

.subtitle {
  margin-top: 6px;
  color: var(--muted);
  font-weight: 600;

  text-align: center;
}

.subtitle {
  text-decoration: none;
  margin: 0 6px;
}

.logo img {
  max-height: 256px;
  max-width: 256px;
  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
}

.date {
  text-align: center;
}

.back {
  text-align: center;
}

.topics {
  text-align: center;
}

.links {
  text-align: center;
}

.awards {
  text-align: center;
}

.details {
  text-align: left;
}

.performance {
  text-align: left;
}

.graph {
  /* Make sure the container can shrink/grow */
  max-width: 100%;
  display: flex;
  justify-content: center;
  /* horizontal centering */
}

.graph img {
  display: block;
  /* removes inline gap */
  height: auto;
  /* keeps aspect ratio */
  border: 2px solid var(--accent);
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
  margin-bottom: 40px;
  width: 100%;
  max-width: 800px;
  height: auto;
}

.image-grid {
  grid-template-columns: repeat(auto-fit, minmax(800px, max-content));
  gap: 3rem;
  justify-content: center;
}

.image-grid img {
  display: block;
  /* removes inline gap */
  height: auto;
  /* keeps aspect ratio */
  border: 2px solid var(--accent);
  border-radius: 20px;
  overflow: hidden;
  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
  width: 100%;
  max-width: 800px;
}

.skills {
  margin: 0 auto;
  font-weight: 300;

  width: fit-content;
  text-align: center;

  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
  border: 2px solid var(--accent);
  border-radius: 12px;
  padding: 6px;
  background-color: rgb(255, 255, 255);
}

.platforms {
  margin: 0 auto;
  font-weight: 300;

  width: fit-content;
  text-align: center;

  box-shadow: 0 12px 35px rgba(0, 0, 0, 0.4);
  border: 2px solid var(--accent);
  border-radius: 12px;
  padding: 6px;
  background-color: rgb(255, 255, 255);
}

.platform-icon {
  width: 2em;
  height: auto;
  vertical-align: text-bottom;
}

@media (max-width: 900px) {
  .image-grid {
    grid-template-columns: 1fr;
  }
}

.points {
  text-align: left;
}